> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Own Month



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/time-log/month
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/time-log/month:
    get:
      tags:
        - Time Log
      summary: Get Own Month
      operationId: TimeLogController_getOwnMonth_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: month
          required: true
          in: query
          schema:
            type: string
            pattern: ^\d{4}-(0[1-9]|1[0-2])$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeLogMonthResponseDto'
components:
  schemas:
    TimeLogMonthResponseDto:
      type: object
      properties:
        month:
          type: string
        rows:
          type: array
          items:
            $ref: '#/components/schemas/TimeLogWeekRowDto'
        entries:
          type: array
          items:
            $ref: '#/components/schemas/TimeEntryResponseDto'
      required:
        - month
        - rows
        - entries
    TimeLogWeekRowDto:
      type: object
      properties:
        project:
          $ref: '#/components/schemas/TimeLogProjectDto'
        phase:
          type: string
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
        writable:
          type: boolean
      required:
        - project
        - phase
        - writable
    TimeEntryResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        phase:
          type: string
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
        date:
          type: string
        hours:
          type: string
        note:
          type: string
          nullable: true
        billable:
          type: boolean
        version:
          type: number
      required:
        - id
        - projectId
        - phase
        - date
        - hours
        - note
        - billable
        - version
    TimeLogProjectDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        code:
          type: string
          nullable: true
        currentPhase:
          nullable: true
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
          type: string
        timeBillable:
          type: boolean
      required:
        - id
        - name
        - code
        - currentPhase
        - timeBillable

````